MyGUI: MyGUI::DynLibManager Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::DynLibManager Class Reference

Manager of dynamic libraries. More...

`#include <MyGUI_DynLibManager.h>`

Inheritance diagram for MyGUI::DynLibManager:
[legend]

## Public Member Functions
| DynLibManager ()
void | initialise ()
void | shutdown ()
DynLib * | load (const std::string &fileName)
| Load library. More...
void | unload (DynLib *library)
| Unload library. More...
void | unloadAll ()
void | _unloadDelayDynLibs ()
Public Member Functions inherited from MyGUI::Singleton< DynLibManager >
| Singleton ()
virtual | ~Singleton ()

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< DynLibManager >
typedef Singleton< DynLibManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< DynLibManager >
static DynLibManager & | getInstance ()
static DynLibManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Manager of dynamic libraries.

Definition at line 20 of file MyGUI_DynLibManager.h.

## Constructor & Destructor Documentation

## ◆ DynLibManager()

MyGUI::DynLibManager::DynLibManager | ( |  | ) |

Definition at line 18 of file MyGUI_DynLibManager.cpp.

## Member Function Documentation

## ◆ _unloadDelayDynLibs()

void MyGUI::DynLibManager::_unloadDelayDynLibs | ( |  | ) |

Definition at line 94 of file MyGUI_DynLibManager.cpp.

## ◆ initialise()

void MyGUI::DynLibManager::initialise | ( |  | ) |

Definition at line 23 of file MyGUI_DynLibManager.cpp.

## ◆ load()

DynLib * MyGUI::DynLibManager::load | ( | const std::string & | fileName | ) |

Load library.

Definition at line 48 of file MyGUI_DynLibManager.cpp.

## ◆ shutdown()

void MyGUI::DynLibManager::shutdown | ( |  | ) |

Definition at line 34 of file MyGUI_DynLibManager.cpp.

## ◆ unload()

void MyGUI::DynLibManager::unload | ( | DynLib * | library | ) |

Unload library.

Definition at line 68 of file MyGUI_DynLibManager.cpp.

## ◆ unloadAll()

void MyGUI::DynLibManager::unloadAll | ( |  | ) |

Definition at line 78 of file MyGUI_DynLibManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_DynLibManager.h
- MyGUI_DynLibManager.cpp